Step 1: Build a claim-reward transaction
Returns an unsigned transaction that claims your reward on a resolved pool; sign it and submit via POST /transactions/claim-reward/submit.
POST
/
transactions
/
claim-reward
Step 1: Build a claim-reward transaction
curl --request POST \
--url https://api.trepa.app/transactions/claim-reward \
--header 'Content-Type: application/json' \
--data '
{
"pool_id": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pool_id: '<string>'})
};
fetch('https://api.trepa.app/transactions/claim-reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pool_id: '<string>'})
};
fetch('https://api.trepa.app/transactions/claim-reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/transactions/claim-reward"
payload = { "pool_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/transactions/claim-reward"
payload := strings.NewReader("{\n \"pool_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"transaction": "<string>",
"proof": "<string>"
}Last modified on August 12, 2026
⌘I
Step 1: Build a claim-reward transaction
curl --request POST \
--url https://api.trepa.app/transactions/claim-reward \
--header 'Content-Type: application/json' \
--data '
{
"pool_id": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pool_id: '<string>'})
};
fetch('https://api.trepa.app/transactions/claim-reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pool_id: '<string>'})
};
fetch('https://api.trepa.app/transactions/claim-reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/transactions/claim-reward"
payload = { "pool_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/transactions/claim-reward"
payload := strings.NewReader("{\n \"pool_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"transaction": "<string>",
"proof": "<string>"
}